Angular 2需要库

我想开始使用Angular2 Beta,但是我正在面对一些关于所需库的问题。
我正在使用Eclipse,它是TypeScript插件 。
另外,我使用SystemJS作为模块加载器。
我的问题是,如果我使用npm install angular2它会加载整个Angular-Project,包括CommonJS -Version, ES6 Version和TypeScript -Version。 这导致超过30 MB的大文件夹几乎2000个文件,但我只需要TypeScript版本(仍然有几百个文件),没有例子。
另外,在Eclipse导入/ts -folder会给我错误,“rxjs”中的模块不存在(“rxjs / Subject”…)。 所以我想我也必须下载这个项目。
使用5 Min Quickstart中使用的package.jsonnpm install下载超过80MB(几乎10000个文件),我相信,我不需要所有这些文件。
所以我想知道, Angular2真正需要哪些文件,我如何下载它们?
我应该创build我自己的package.json文件吗? 还是有更简单的方法?

编辑:看看我们的(工作)Angular的1.X项目,我可以看到一个单一的angular.js文件,以及不同模块的文件(如restangular.js,angular-route.js等),在总共约10个文件。
我现在正在寻找的是这些文件的angular2对应。
那些同行是否存在? 我在哪里可以find他们?

       

网上收集的解决方案 "Angular 2需要库"

“我现在正在寻找的是这些文件的angular色2”:

 <!-- 1. Load libraries --> <script src="node_modules/angular2/bundles/angular2-polyfills.js"></script> <script src="node_modules/systemjs/dist/system.src.js"></script> <script src="node_modules/rxjs/bundles/Rx.js"></script> <script src="node_modules/angular2/bundles/angular2.dev.js"></script> 

你需要这4个.js(而不是.ts)文件。

“我在哪里可以find他们? 他们用npm下载了。 你可以保留这4个,删除其他所有东西。 您也可以从CDN获取它们,或者手动下载它们。

 <!-- 1. Load libraries --> <script src="https://rawgithub.com/systemjs/systemjs/0.19.6/dist/system.js"></script> <script src="https://code.angularjs.org/tools/typescript.js"></script> <script src="https://code.angularjs.org/2.0.0-beta.0/angular2-polyfills.js"></script> <script src="https://code.angularjs.org/2.0.0-beta.0/Rx.js"></script> <script src="https://code.angularjs.org/2.0.0-beta.0/angular2.dev.js"></script> 

然而。 这些已经编译好的javascript文件,如果你使用JS编写你的应用程序,它们将为你工作,但是现在,你会发现有关Angular 2的大量文档中有90%是在打字稿上,为了使用打字稿,需要Angular 2的源文件,这是你得到的整个包。

我的build议,如果你在打字稿:不要担心所有这些文件下载,他们的意图是发展,而不是你的构build的一部分。 你只能包括我在你的构build中告诉你的那些,这会让你真正的应用程序很小。 你也不是想把所有这些文件添加到你正在使用的git repo或w / e repo中,这个想法是,你有git忽略整个“node_modules”文件夹,你只提交package.json文件,这将工作对于其他开发人员,所以他们运行npm install,他们自己获得所有的依赖关系。 因此,所有这些文件都只是在开发机器中,你不必担心它们使你的应用程序太大,因为它们不会成为你的应用程序的一部分。

Angular 2 Quickstart指南中的package.json文件包含像concurrentlylite-serveres6-shim等开发依赖项以及es6-shim等,用于较老的浏览器兼容性。

angular2的基本依赖关系是

  • angular2
  • 打字稿
  • systemjs
  • rxjs

你可以看看这个Angular2 Tutorial Plunker开始一个简单的应用程序。 它还包含路由库。